package de.uniwue.mk.kall.athen.annotationbrowserwidget;

import org.apache.uima.cas.Type;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import de.uniwue.kalimachos.coref.editor.drawingstructure.TypeStyleDataStructure;
import de.uniwue.mk.kall.athen.widget.editor.AnnotationEditorWidget;

public class AnnotationBrowserNoAnnoFilter extends ViewerFilter {

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {

		if (parentElement instanceof AnnotationEditorWidget && element instanceof TypeStyleDataStructure) {

			AnnotationEditorWidget editor = (AnnotationEditorWidget) parentElement;
			TypeStyleDataStructure style = (TypeStyleDataStructure) element;

			Type type = style.getAnnotationType();

			if (editor.getCas().getAnnotationIndex(type).size() == 0)
				return false;
		}
		return true;
	}
}
