package de.uniwue.mk.kall.athen.appDelegation.structs;

public class ClassEventPair {

	private Class<?> subScribingClass;

	private String event;

	public ClassEventPair(Class<?> subScribingClass, String event) {
		super();
		this.subScribingClass = subScribingClass;
		this.event = event;
	}

	public Class<?> getSubScribingClass() {
		return subScribingClass;
	}

	public void setSubScribingClass(Class<?> subScribingClass) {
		this.subScribingClass = subScribingClass;
	}

	public String getEvent() {
		return event;
	}

	public void setEvent(String event) {
		this.event = event;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((event == null) ? 0 : event.hashCode());
		result = prime * result + ((subScribingClass == null) ? 0 : subScribingClass.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ClassEventPair other = (ClassEventPair) obj;
		if (event == null) {
			if (other.event != null)
				return false;
		} else if (!event.equals(other.event))
			return false;
		if (subScribingClass == null) {
			if (other.subScribingClass != null)
				return false;
		} else if (!subScribingClass.equals(other.subScribingClass))
			return false;
		return true;
	}

}
