package de.uniwue.mk.kall.athen.corefExplanationview.widgets;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

public class GroupCreationDialog extends Dialog {

	private StyledText widget;
	private Button buttonMarkAll;
	private String groupName;

	private int beg = Integer.MAX_VALUE;
	private int end = -1;

	public GroupCreationDialog(Shell parentShell) {
		super(parentShell);

	}

	protected Control createDialogArea(Composite parent) {

		parent.getShell().setText("Enter the name of a new group");

		GridLayout layout = new GridLayout();
		layout.marginBottom = 10;
		layout.marginTop = 10;
		layout.marginLeft = 15;
		layout.marginRight = 15;
		parent.setLayout(layout);

		widget = new StyledText(parent, SWT.BORDER_DASH);
		widget.setAlignment(SWT.CENTER);

		widget.setLayoutData(new GridData(GridData.GRAB_HORIZONTAL | GridData.GRAB_VERTICAL | GridData.FILL_BOTH));

		Font font = new Font(parent.getDisplay(), "Segoe UI", 10, SWT.NORMAL);
		widget.setFont(font);

		return parent;
	}

	@Override
	protected void okPressed() {

		setReturnCode(OK);
		groupName = widget.getText();
		close();
	}

	public String getGroupName() {
		return groupName;
	}

}
