package de.uniwue.mk.kall.athen.projectExplorer.conversion;

import java.io.File;

public abstract class ADocument {

	private EFormat format;

	private String fileEnding;

	protected Object content;

	public ADocument(Object content, EFormat format, String fileEnding) {

		this.content = content;
		this.format = format;
		this.fileEnding = fileEnding;
	}

	public EFormat getFormat() {
		return format;
	}

	public String getFileEnding() {
		return fileEnding;
	}

	public abstract Object getContent();

	public abstract void serialize(File toFile);

	// initilize the object with the data
	public abstract void deserialize(File toDeserialize);

}
