package de.uniwue.mk.kall.athen.projectExplorer.conversion;

import java.io.File;

public abstract class AFormatConverter {

	private EFormat sourceFormat;

	private EFormat targetFormat;

	public AFormatConverter(EFormat sourceFormat, EFormat targetFormat) {
		super();
		this.sourceFormat = sourceFormat;
		this.targetFormat = targetFormat;
	}

	public abstract ADocument convertFormat(File input);

	public boolean canConvert(EFormat source, EFormat target) {

		return (source == this.sourceFormat && target == this.targetFormat);
	}

	public EFormat getSource() {
		return sourceFormat;
	}

	public EFormat getTarget() {
		return targetFormat;
	}
}
