package de.uniwue.mk.kall.athen.projectExplorer.ui;

import org.eclipse.e4.core.services.events.IEventBroker;
import org.osgi.service.event.Event;
import org.osgi.service.event.EventHandler;

import de.uniwue.mk.kall.athen.projectExplorer.projectDescription.IAnnotationProject;

public class ReloadProjectHandler implements EventHandler {

	ProjectExplorer explorer;
	boolean treeExpand;

	public ReloadProjectHandler(ProjectExplorer explorer, boolean treeRelaod) {

		this.explorer = explorer;
		this.treeExpand = treeRelaod;

	}

	@Override
	public void handleEvent(Event e) {

		Object property = e.getProperty(IEventBroker.DATA);

		if (property instanceof IAnnotationProject) {
			explorer.getWorkspace().addProject((IAnnotationProject) property);

		}

		explorer.reload(this.treeExpand);

	}

}
