package de.uniwue.kalimachos.coref.editor.drawingstructure;

import org.eclipse.swt.custom.StyleRange;

import de.uniwue.kalimachos.coref.paintingStrategies.IAnnotationDrawingStrategy;

public class AnnoStyle {
  
  // has an object to draw all styles
  
  private IAnnotationDrawingStrategy drawingStrategy;
  
  private StyleRange styleRange;

  public AnnoStyle(IAnnotationDrawingStrategy drawingStrategy, StyleRange styleRange) {
    super();
    this.drawingStrategy = drawingStrategy;
    this.styleRange = styleRange;
  }

  public IAnnotationDrawingStrategy getDrawingStrategy() {
    return drawingStrategy;
  }

  public void setDrawingStrategy(IAnnotationDrawingStrategy drawingStrategy) {
    this.drawingStrategy = drawingStrategy;
  }

  public StyleRange getStyleRange() {
    return styleRange;
  }

  public void setStyleRange(StyleRange styleRange) {
    this.styleRange = styleRange;
  }

  public StyleRange getStyle() {
    return styleRange;
  }
  
  
  

}
