package de.uniwue.mk.kall.editorPainting.featurerepresentation;

import java.util.Map;

import org.apache.uima.cas.Feature;
import org.apache.uima.cas.text.AnnotationFS;
import org.eclipse.jface.text.source.Annotation;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.GC;

public abstract class AFeatureDrawingStyling {

	protected Feature feature;
	// default color
	protected Color defaultFeatureColor;
	// use if you want to have specific colors for specific values
	protected Map<String, Color> conditionalColorMap;

	public void manipulateWidget(AnnotationFS anno, StyledText widget, GC gc) {
		// default empty, can be overwritten
	}

	public void draw(Annotation anno, StyledText widget, GC gc) {
		// default empty
	}

}
