package de.uniwue.mk.kall.editorPainting.paintingstrategies.specialized;
//package de.uniwue.kalimachos.coref.paintingStrategies;
//
//import java.util.HashMap;
//
//import org.apache.uima.cas.CAS;
//import org.apache.uima.cas.Feature;
//import org.apache.uima.cas.Type;
//import org.apache.uima.cas.text.AnnotationFS;
//import org.eclipse.swt.custom.StyleRange;
//import org.eclipse.swt.custom.StyledText;
//import org.eclipse.swt.graphics.Font;
//import org.eclipse.swt.graphics.FontData;
//import org.eclipse.swt.graphics.GC;
//import org.eclipse.swt.graphics.Image;
//import org.eclipse.swt.graphics.Rectangle;
//
//import de.uniwue.kalimachos.coref.editor.drawingstructure.TypeStyleDataStructure;
//import de.uniwue.mk.kall.editorPainting.util.EditorPaintingUtil;
//
//public class GrammarDrawingStrategy implements IAnnotationDrawingStrategy {
//
//	// this feature is displayed to the right
//
//	private static final int FONTSIZE = 8;
//
//	private String category;
//
//	private HashMap<String, Image> imageHash;
//
//	StyleRange styleRange;
//
//	private CAS cas;
//
//	private Type handledType;
//
//	// draws the features above the Annotations
//	public GrammarDrawingStrategy(StyleRange range, String category, CAS cas, Type handledType) {
//		this.styleRange = range;
//		this.category = category;
//		this.imageHash = new HashMap<String, Image>();
//		// this.editor = editor;
//		this.handledType = handledType;
//
//	}
//
//	@Override
//	public void drawAnnotation(TypeStyleDataStructure struct, AnnotationFS anno, StyledText widget, GC gc) {
//
//		int length = anno.getEnd() - anno.getBegin();
//		// cant draw an empty annotation
//		if (length == 0) {
//			return;
//		}
//		// getLineHeight
//		int lineHeight = widget.getLineHeight();
//		// calculate the amount of space which is needed to display the features
//		int amountOfSpace = FONTSIZE + 1;
//
//		widget.setLineSpacing(amountOfSpace + 10);
//
//		// get the bounds of the Annotation
//		Rectangle standardBounds = widget.getTextBounds(0, 0);
//		Rectangle bounds = widget.getTextBounds(anno.getBegin(), anno.getEnd() - 1);
//
//		if (bounds.height > standardBounds.height) {
//			// find the String that are in 1 line
//			for (int i = anno.getBegin(); i < anno.getEnd(); i++) {
//				Rectangle textBounds = widget.getTextBounds(anno.getBegin(), i);
//				if (textBounds.height > standardBounds.height) {
//					break;
//				}
//			}
//		}
//
//		// System.out.println(bounds.height);
//
//		// change the Color of the GC object
//		gc.setForeground(styleRange.background);
//
//		// adjust the Font
//		Font initialFont = widget.getFont();
//		FontData[] fontData = initialFont.getFontData();
//		for (int i = 0; i < fontData.length; i++) {
//			fontData[i].setHeight(8);
//		}
//
//		Font font = new Font(gc.getDevice(), fontData);
//		gc.setFont(font);
//
//		int x = bounds.x + 1;
//		int y = bounds.y + lineHeight;
//
//		Feature catFeat = anno.getType().getFeatureByBaseName(category);
//
//		if (catFeat != null) {
//
//			String grammarCat = anno.getFeatureValueAsString(catFeat);
//
//			if (grammarCat != null && grammarCat.trim().length() > 0) {
//				// draw it
//				// draw underlined
//				Image image = null;
//				if (this.imageHash.containsKey(grammarCat)) {
//					image = this.imageHash.get(grammarCat);
//
//				} else {
//					image = EditorPaintingUtil.createImage(getImage(grammarCat));
//					this.imageHash.put(grammarCat, image);
//				}
//				gc.drawImage(image, x + bounds.width / 3, y - 2 * FONTSIZE - 26);
//
//				// check if already handled
//				boolean alreadyHandled = false;
//				for (AnnotationFS a : cas.getAnnotationIndex(handledType)) {
//
//					if (a.getBegin() == anno.getBegin() && a.getEnd() == anno.getEnd()) {
//						alreadyHandled = true;
//						break;
//					}
//
//				}
//				if (!alreadyHandled) {
//					gc.drawRectangle(bounds.x, bounds.y, bounds.width, bounds.height);
//				}
//				// gc.drawLine(x + 2, y + bounds.height, x +
//				// bounds.width - 2, y + bounds.height);
//			}
//
//			else {
//				gc.drawRectangle(bounds.x, bounds.y, bounds.width, bounds.height);
//			}
//		}
//
//		font.dispose();
//		gc.dispose();
//
//	}
//
//	public String getImage(String category) {
//
//		return EditorPaintingUtil.imageMapping.get(category);
//
//	}
//
//}
