package de.uniwue.mk.medIE.terminologyView.widgets;

import org.eclipse.jface.viewers.ViewerComparator;
import org.eclipse.swt.SWT;

public class TerminologyBulkDialogViewerComparator extends ViewerComparator {

	private int propertyIndex;
	private static final int DESCENDING = 1;
	private int direction = DESCENDING;

	public void setColumn(int column) {
		if (column == this.propertyIndex) {
			// Same column as last sort; toggle the direction
			direction = 1 - direction;
		} else {
			// New column; do an ascending sort
			this.propertyIndex = column;
			direction = DESCENDING;
		}
	}

	public int getDirection() {
		return direction == 1 ? SWT.DOWN : SWT.UP;
	}

}
