package de.uniwue.mkrug.mainMenu.handler;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;

import de.uniwue.mk.kall.athen.widget.editor.AnnotationEditorPart;

public class SaveEditorHandler {


	@Execute
	public void execute(MPart findPart) {
		if (findPart != null && findPart.getObject() != null 
				&& findPart.getObject() instanceof AnnotationEditorPart) {
			((AnnotationEditorPart) findPart.getObject()).save();
		}
	}

	@CanExecute
	public boolean canExecute(MPart findPart) {

		if (findPart != null && findPart.getObject() != null 
				&& findPart.getObject() instanceof AnnotationEditorPart) {
			return ((AnnotationEditorPart) findPart.getObject()).isDirty();
		}
		return false;
	}

}
