package de.uniwue.mk.kall.athen.corefExplanationview.ui;

import java.util.ArrayList;
import java.util.List;

import org.apache.uima.cas.text.AnnotationFS;

public class AnnotationContainerModel {

	private AnnotationFS anno;

	private String textToDisplay;
	private String id;

	private List<String> idsWithX;

	public AnnotationContainerModel(String text, String id, String... ids) {

		idsWithX = new ArrayList<String>();
		this.textToDisplay = text;
		this.id = id;

		for (String s : ids) {
			idsWithX.add(s);
		}

	}

	public void addAdditionalId(String id) {

		if (this.idsWithX.contains(id)) {
			this.idsWithX.remove(id);
		} else {
			this.idsWithX.add(id);
		}
	}

	public AnnotationFS getAnno() {
		return anno;
	}

	public void setAnno(AnnotationFS anno) {
		this.anno = anno;
	}

	public String getTextToDisplay() {
		return textToDisplay;
	}

	public void setTextToDisplay(String textToDisplay) {
		this.textToDisplay = textToDisplay;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public boolean hasIdWith(String id) {
		return this.idsWithX.contains(id);
	}

	public List<String> getIdsWithX() {
		return idsWithX;
	}

	public void setIdsWithX(List<String> idsWithX) {
		this.idsWithX = idsWithX;
	}

}
