package de.uniwue.mk.kall.athen.corefExplanationview.ui;

import org.apache.uima.cas.text.AnnotationFS;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import de.uniwue.mk.kall.athen.appDelegation.util.ApplicationPreferences;
import de.uniwue.mk.kall.athen.appDelegation.util.ApplicationUtil;

public class InteractionPersonFilter extends ViewerFilter {

	public String id;

	public void setId(String id) {

		this.id = id;
	}

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {

		if (id == null)
			return true;

		AnnotationFS p = (AnnotationFS) element;

		AnnotationFS agent = (AnnotationFS) p.getFeatureValue(p.getType().getFeatureByBaseName(
				ApplicationUtil.getFromPreferences(ApplicationPreferences.EXPLAIN_COREF_AGENT, "null")));

		AnnotationFS rec = (AnnotationFS) p.getFeatureValue(p.getType().getFeatureByBaseName(
				ApplicationUtil.getFromPreferences(ApplicationPreferences.EXPLAIN_COREF_RECIPIENT, "null")));

		// get ids

		String idAg = agent.getFeatureValueAsString(agent.getType().getFeatureByBaseName(
				ApplicationUtil.getFromPreferences(ApplicationPreferences.COREFVIEW_NE_ID, "null")));

		String idRec = rec.getFeatureValueAsString(agent.getType().getFeatureByBaseName(
				ApplicationUtil.getFromPreferences(ApplicationPreferences.COREFVIEW_NE_ID, "null")));

		if (idAg.equals(id) || idRec.equals(id))
			return true;

		return false;
	}

}
