package de.uniwue.mk.kall.athen.corefGlobalview.widgets;

import org.eclipse.jface.viewers.ILazyContentProvider;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.jface.viewers.Viewer;

import de.uniwue.mk.kall.athen.corefGlobalview.structs.CorefGlobalStruct;

public class LazyRelationContentProvider implements ILazyContentProvider {
	private TableViewer viewer;
	private CorefGlobalStruct[] elements;

	public LazyRelationContentProvider(TableViewer viewer) {
		this.viewer = viewer;
	}

	public void dispose() {
	}

	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
		this.elements = (CorefGlobalStruct[]) newInput;
	}

	public void updateElement(int index) {
		viewer.replace(elements[index], index);
	}
}
