package de.uniwue.mk.kall.athen.part.editor;

import org.apache.uima.cas.text.AnnotationFS;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

public class NameFilter extends ViewerFilter {

	private String searchString;

	public void setSearchText(String s) {
		// ensure that the value can be used for matching
		this.searchString = ".*" + s + ".*";
	}

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		if (searchString == null || searchString.length() == 0) {
			return true;
		}
		AnnotationFS p = (AnnotationFS) element;
		if (p.getCoveredText().matches(searchString)) {
			return true;
		}
		if (p.getCoveredText().matches(searchString)) {
			return true;
		}

		return false;
	}
}