package de.uniwue.mk.kall.athen.projectExplorer.projectDescription;

import java.io.File;

public class AnnotationProject implements IAnnotationProject {

	private File descFolder;

	private File inputFolder;

	private File outputFolder;

	private File projectFolder;

	private static String fileSeparator = System.getProperty("file.separator");

	public AnnotationProject(File projectFolder) {

		// TODO not the sweetest solution but should be okay
		this.projectFolder = projectFolder;

		this.inputFolder = new File(projectFolder.getAbsolutePath() + fileSeparator
				+ AnnotationProjectDescriptor.INPUT_FOLDER);

		this.outputFolder = new File(projectFolder.getAbsolutePath() + fileSeparator
				+ AnnotationProjectDescriptor.OUTPUT_FOLDER);

		this.descFolder = new File(projectFolder.getAbsolutePath() + fileSeparator
				+ AnnotationProjectDescriptor.DESCRIPTOR_FOLDER);

	}

	public File getDescFolder() {
		return descFolder;
	}

	public void setDescFolder(File descFolder) {
		this.descFolder = descFolder;
	}

	public File getInputFolder() {
		return inputFolder;
	}

	public void setInputFolder(File inputFolder) {
		this.inputFolder = inputFolder;
	}

	public File getOutputFolder() {
		return outputFolder;
	}

	public void setOutputFolder(File outputFolder) {
		this.outputFolder = outputFolder;
	}

	public File getProjectFolder() {
		return projectFolder;
	}

	public void setProjectFolder(File projectFolder) {
		this.projectFolder = projectFolder;
	}

}
