package de.uniwue.mk.kall.athen.relationview.ui;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

public class NewRelationTypeDialog extends Dialog {

	private String relationType;
	private StyledText widget;

	public NewRelationTypeDialog(Shell parentShell) {
		super(parentShell);
	}

	protected Control createDialogArea(Composite parent) {

		parent.getShell().setText("Create a new RelationType");

		GridLayout layout = new GridLayout();
		layout.marginBottom = 10;
		layout.marginTop = 10;
		layout.marginLeft = 15;
		layout.marginRight = 15;
		parent.setLayout(layout);

		widget = new StyledText(parent, SWT.BORDER);
		widget.setAlignment(SWT.CENTER);

		widget.setLayoutData(new GridData(GridData.GRAB_HORIZONTAL | GridData.GRAB_VERTICAL | GridData.FILL_BOTH));

		widget.setText("Enter a new Relationtype");
		Font font = new Font(parent.getDisplay(), "Segoe UI", 10, SWT.NORMAL);
		widget.setFont(font);

		return parent;
	}

	public String getErrorCategory() {
		return relationType;
	}

	public void setErrorCategory(String relationType) {
		this.relationType = relationType;
	}

	@Override
	protected void okPressed() {

		// save to the preference map

		// TODO use the string constants instead of the literals
		relationType = widget.getText();

		setReturnCode(OK);
		close();
	}

}
