package de.uniwue.mk.kall.athen.socialnetworks;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;

import de.uniwue.mk.kall.athen.widget.editor.AnnotationEditorWidget;

public class AttributeVisualisationDialog extends Dialog {

	private Composite parent;
	private AnnotationEditorWidget editor;
	private String id;

	protected AttributeVisualisationDialog(Shell parentShell, AnnotationEditorWidget annotationEditorWidget, String id) {
		super(parentShell);

		this.editor = annotationEditorWidget;
		this.id = id;

	}

	protected Control createDialogArea(Composite parent) {

		this.parent = parent;

		parent.getShell().setText("Shows all attributes for NE with ID " + id);

		this.parent = parent;

		GridLayout layout = new GridLayout();
		return parent;

	}

	@Override
	protected void setShellStyle(int newShellStyle) {
		super.setShellStyle(SWT.CLOSE | SWT.MODELESS | SWT.BORDER | SWT.TITLE);
		setBlockOnOpen(false);
	}
}
