package de.uniwue.mk.kall.athen.socialnetworks.gephi;

import it.uniroma1.dis.wsngroup.gexf4j.core.Gexf;
import it.uniroma1.dis.wsngroup.gexf4j.core.Graph;
import it.uniroma1.dis.wsngroup.gexf4j.core.data.Attribute;
import it.uniroma1.dis.wsngroup.gexf4j.core.data.AttributeClass;
import it.uniroma1.dis.wsngroup.gexf4j.core.data.AttributeList;
import it.uniroma1.dis.wsngroup.gexf4j.core.data.AttributeType;
import it.uniroma1.dis.wsngroup.gexf4j.core.impl.data.AttributeListImpl;

import org.apache.uima.cas.CAS;

public class GephiGraphCreator {

	private CAS cas;
	private Attribute attGender;
	private Attribute attNamen;
	private Attribute attEdgeTypeAttribute;

	public GephiGraphCreator(CAS cas) {

		this.cas = cas;
	}

	public Gexf create() {

		// Gexf gexf = GephiGEFXFormatUtil.createEmptyGraph();

		// metadata
		// Calendar date = Calendar.getInstance();
		// gexf.getMetadata().setLastModified(date.getTime()).setCreator("Mkrug").setDescription("Personennetzwerk");
		//
		// Graph graph = gexf.getGraph();
		// graph.setDefaultEdgeType(EdgeType.UNDIRECTED).setMode(Mode.DYNAMIC).setTimeType(TimeFormat.XSDDATETIME);
		//
		// // create all attributes for this graph
		//
		// createAttributes(graph);
		//
		// // create all nodes
		// addNodes(graph);

		// create all edges

		return null;
	}

	private void addNodes(Graph graph) {

		// Node gephi = graph.createNode("0");
		// gephi.setLabel("Gephi").getAttributeValues().addValue(attUrl,
		// "http://gephi.org").addValue(attIndegree, "1");

	}

	private void createAttributes(Graph graph) {

		// Attributes for the nodes
		AttributeList attrListNodes = new AttributeListImpl(AttributeClass.NODE);
		graph.getAttributeLists().add(attrListNodes);

		attGender = attrListNodes.createAttribute(AttributeType.STRING, "gender");
		attNamen = attrListNodes.createAttribute(AttributeType.STRING, "name");

		// Attributes for the edges
		AttributeList attrListEdges = new AttributeListImpl(AttributeClass.EDGE);
		graph.getAttributeLists().add(attrListEdges);

		attEdgeTypeAttribute = attrListEdges.createAttribute(AttributeType.STRING, "relation");

	}

}
