package de.uniwue.kalimachos.coref.editor.drawingstructure;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

public class TypeFilter extends ViewerFilter {

	private String searchString;

	public void setSearchText(String s) {
		// ensure that the value can be used for matching
		this.searchString = ".*" + s + ".*";
	}

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		if (searchString == null || searchString.length() == 0) {
			return true;
		}
		TypeStyleDataStructure tsds = (TypeStyleDataStructure) element;
		if (tsds.getAnnotationType().toString().matches(searchString)) {
			return true;
		}
		if (tsds.getAnnotationType().toString().matches(searchString)) {
			return true;
		}

		return false;
	}
}