package de.uniwue.kalimachos.coref.paintingStrategies;

import org.apache.uima.cas.Feature;

public class FeaturePositionPair {

	private Feature feature;
	private FeaturePosition position;
	private boolean isVisible;

	//
	public FeaturePositionPair(Feature feature, FeaturePosition position, boolean isVisible) {
		super();
		this.feature = feature;
		this.position = position;
		this.isVisible = isVisible;
	}

	public boolean isVisible() {
		return isVisible;
	}

	public void setVisible(boolean isVisible) {
		this.isVisible = isVisible;
	}

	public Feature getFeature() {
		return feature;
	}

	public void setFeature(Feature feature) {
		this.feature = feature;
	}

	public FeaturePosition getPosition() {
		return position;
	}

	public void setPosition(FeaturePosition position) {
		this.position = position;
	}

}
