package de.uniwue.mk.kall.ie.terminology.main;

import java.io.File;

import org.semanticweb.owlapi.apibinding.OWLManager;
import org.semanticweb.owlapi.model.IRI;
import org.semanticweb.owlapi.model.OWLOntology;
import org.semanticweb.owlapi.model.OWLOntologyCreationException;
import org.semanticweb.owlapi.model.OWLOntologyManager;
import org.semanticweb.owlapi.util.AutoIRIMapper;

public class MainTestLoadAnOntology {
	
	public static void main(String[] args) throws OWLOntologyCreationException {
		
		OWLOntology loadOntologyFromFile = loadOntologyFromFile(new File("C:\\Users\\mkrug\\Documents\\sozialeRelationen.owl"));
		
		System.out.println(loadOntologyFromFile.getAxiomCount());
		
		
	}
	
	  public static OWLOntology loadOntologyFromFile(File ontologyFile) throws OWLOntologyCreationException {

		    OWLOntologyManager m = OWLManager.createOWLOntologyManager();

		    m.addIRIMapper(new AutoIRIMapper(new File("materializedOntologies"), true));

		    IRI create = IRI.create(ontologyFile);

		    OWLOntology o = m.loadOntologyFromOntologyDocument(create);


		    return o;

		  }

}
