package de.uniwue.mk.kall.lucene.kallimachos.index;

import org.apache.uima.cas.Feature;
import org.apache.uima.cas.Type;

public class UIMAAnnotationIndexStruct {

  private Type typeToIndex;

  private String suffix;

  private Feature featureOfTypeToIndex;


  public UIMAAnnotationIndexStruct(Type typeToIndex, Feature featureOfTypeToIndex, String suffix
        ) {
    super();
    this.typeToIndex = typeToIndex;
    this.suffix = suffix;
    this.featureOfTypeToIndex = featureOfTypeToIndex;
  }

  public Type getTypeToIndex() {
    return typeToIndex;
  }

  public void setTypeToIndex(Type typeToIndex) {
    this.typeToIndex = typeToIndex;
  }



  public Feature getFeatureOfTypeToIndex() {
    return featureOfTypeToIndex;
  }

  public void setFeatureOfTypeToIndex(Feature featureOfTypeToIndex) {
    this.featureOfTypeToIndex = featureOfTypeToIndex;
  }

  public String getSuffix() {
    return suffix;
  }

  public void setSuffix(String suffix) {
    this.suffix = suffix;
  }

}
