package de.uniwue.mk.medIE.terminology;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class Lexikon {

	private List<LexikonEntry> entries;

	public Lexikon() {
		this.entries = new ArrayList<LexikonEntry>();
	}

	public Lexikon(LexikonEntry... entries) {

		this.entries = new ArrayList<LexikonEntry>();

		this.entries.addAll(Arrays.asList(entries));
	}

	public List<LexikonEntry> getEntries() {
		return entries;
	}

	public void setEntries(List<LexikonEntry> entries) {
		this.entries = entries;
	}

	public void addEntry(LexikonEntry entry) {
		this.entries.add(entry);
	}

	public void removeEntry(LexikonEntry entry) {
		this.entries.remove(entry);
	}

}
