package de.uniwue.mkrug.kallimachos.annotation.editor.wizard;

import javax.inject.Inject;

import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class NewProjectWizardPage extends WizardPage {
	@Inject
	IEventBroker eventBroker;

	Text projectname;
	Text secondNameText;

	protected NewProjectWizardPage(String pageName) {
		super(pageName);
		setTitle("Information ot create a new Project");
		setDescription("Please enter your preferences to create a new Project");
	}

	public void createControl(Composite parent) {
		Composite composite = new Composite(parent, SWT.NONE);
		GridLayout layout = new GridLayout();
		layout.numColumns = 2;
		composite.setLayout(layout);
		setControl(composite);
		new Label(composite, SWT.NONE).setText("Enter project name");
		projectname = new Text(composite, SWT.NONE);

	}

	public Text getProjectName() {
		return projectname;
	}

	public void setFirstNameText(Text firstNameText) {
		this.projectname = firstNameText;
	}

	public Text getSecondNameText() {
		return secondNameText;
	}

	public void setSecondNameText(Text secondNameText) {
		this.secondNameText = secondNameText;
	}

}
