package de.uniwue.mkrug.mainMenu.handler;

import java.util.HashSet;

import org.eclipse.e4.core.di.annotations.Execute;

import de.uniwue.mk.kall.athen.appDelegation.structs.ClassEventPair;
import de.uniwue.mk.kall.athen.appDelegation.ui.ApplicationManager;

public class DebugEventBrokerHandler {
	@Execute
	public void execute() {
		HashSet<ClassEventPair> subscribingSet = ApplicationManager.getSubscribingSet();

		String coupled = "";
		String editor = "";
		for (ClassEventPair pair : subscribingSet) {

			String event = pair.getEvent();

			if (event.contains("EDITOR")) {
				editor += pair.getSubScribingClass() + "\t" + pair.getEvent() + "\n";
			}

			else {
				coupled += pair.getSubScribingClass() + "\t" + pair.getEvent() + "\n";
			}
		}

		System.out.println(coupled);
		System.out.println("======================");
		System.out.println(editor);
	}

}