package de.uniwue.mkrug.mainMenu.handler;

import java.util.HashMap;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.swt.widgets.Shell;

import de.uniwue.mk.kall.athen.appDelegation.util.ApplicationUtil;
import de.uniwue.mk.kall.athen.part.editor.dialog.EditorPreferencesDialog;

public class EditorPreferencesHandler {

	@Execute
	public void execute(Shell shell, IEventBroker broker) {

		/*
		 * launches a dialog to edit the Editor preferences and saves the input
		 * the user gave
		 */

		EditorPreferencesDialog dialog = new EditorPreferencesDialog(shell, broker);

		int open = dialog.open();

		if (open == 0) {
			// success

			HashMap<String, String> preferences = dialog.getPreferences();

			for (String s : preferences.keySet()) {
				ApplicationUtil.saveToPreferences(s, preferences.get(s));
			}

		}

		else {

			// TODO error handling
		}

	}

}