package de.uniwue.mkrug.mainMenu.handler;

import java.util.HashMap;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.swt.widgets.Shell;

import de.uniwue.mk.kall.athen.appDelegation.util.ApplicationUtil;
import de.uniwue.mk.kall.wsdView.WSDPreferencesDialogue;

public class WSDViewPreferencesHandler {

	/*
	 * opens a dialogue to edit the preferences
	 */

	@Execute
	public void execute(Shell shell) {

		WSDPreferencesDialogue corefPrefDialog = new WSDPreferencesDialogue(shell);

		int open = corefPrefDialog.open();

		if (open == 0) {
			// success

			HashMap<String, String> preferences = corefPrefDialog.getPreferences();

			// save all the preferences to the store
			for (String l : preferences.keySet()) {

				ApplicationUtil.saveToPreferences(l, preferences.get(l));
			}

		}

		else {
			// no success
		}

	}

}